# Interface methods for submodule: RGBAPixel
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FixedArrayProxy as _FixedArrayProxy


# Interface methods for class: RGBAPixel
class RGBAPixelProxy(_FixedArrayProxy):
	@staticmethod
	def GetNumberOfComponents() -> int:
		""""""
		...

	@overload
	def GetNthComponent(self, c: int) -> float:
		""""""
		...

	@overload
	def GetNthComponent(self, c: int) -> int:
		""""""
		...

	@overload
	def GetScalarValue(self) -> float:
		""""""
		...

	@overload
	def GetScalarValue(self) -> int:
		""""""
		...

	@overload
	def SetNthComponent(self, c: int, v: float) -> None:
		""""""
		...

	@overload
	def SetNthComponent(self, c: int, v: int) -> None:
		""""""
		...

	@overload
	def SetRed(self, red: float) -> None:
		""""""
		...

	@overload
	def SetRed(self, red: int) -> None:
		""""""
		...

	@overload
	def SetGreen(self, green: float) -> None:
		""""""
		...

	@overload
	def SetGreen(self, green: int) -> None:
		""""""
		...

	@overload
	def SetBlue(self, blue: float) -> None:
		""""""
		...

	@overload
	def SetBlue(self, blue: int) -> None:
		""""""
		...

	@overload
	def SetAlpha(self, alpha: float) -> None:
		""""""
		...

	@overload
	def SetAlpha(self, alpha: int) -> None:
		""""""
		...

	@overload
	def Set(self, red: float, green: float, blue: float, alpha: float) -> None:
		""""""
		...

	@overload
	def Set(self, red: int, green: int, blue: int, alpha: int) -> None:
		""""""
		...

	@overload
	def GetRed(self) -> float:
		""""""
		...

	@overload
	def GetRed(self) -> int:
		""""""
		...

	@overload
	def GetGreen(self) -> float:
		""""""
		...

	@overload
	def GetGreen(self) -> int:
		""""""
		...

	@overload
	def GetBlue(self) -> float:
		""""""
		...

	@overload
	def GetBlue(self) -> int:
		""""""
		...

	@overload
	def GetAlpha(self) -> float:
		""""""
		...

	@overload
	def GetAlpha(self) -> int:
		""""""
		...

	def GetLuminance(self) -> float:
		""""""
		...

